Bug 101181 - Rename on variables does not work
Rename on variables does not work
Status: VERIFIED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Daniel Prusa
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-16 16:08 UTC by Martin Schovanek
Modified: 2009-02-27 14:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2007-04-16 16:08:39 UTC
[#200704151800, jdk1.5.0]

to reproduce:
-------------
1) type in a .js
  var x1;
  var x2=x1+x1;
2) rename x1 on second line to x3
ERROR: IDE refactors the code to:
  var x3;
  var x2=x1+x1;

The x1s on the second line are not renamed.
Comment 1 Martin Schovanek 2007-04-16 18:01:06 UTC
ERROR2: the .js file is renamed to x3 => P1
Comment 2 Daniel Prusa 2007-04-17 13:35:16 UTC
reproducible, usages of the varible declaration not detected
Comment 3 Daniel Prusa 2007-04-17 15:15:13 UTC
first problem fixed
Comment 4 Daniel Prusa 2007-04-17 15:40:22 UTC
second problem fixed too

/cvs/scripting/javascript/src/org/netbeans/modules/languages/javascript/refactoring/RenameRefactoringUI.java
new revision: 1.3; previous revision: 1.2
Comment 5 Radim Roska 2007-08-07 09:40:34 UTC
VERIFIED


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo